Subject: Re: I apologize it's not the right place, but I need answer

From: Budi <[email-masked]>
Date: Wed, 27 Mar 2019 20:25:24 +0700

How can sed regex substitution replacement be the Hold space content ?
I do need the answer so really appreciate. Thanks much!

On 6/11/18, Budi <[email-masked]> wrote:
> ​How to use SED command(s) that will replace the shell's pipe command in
> order to perform more efficient, e.g:
>
> echo abcde​ | sed -r 's/cd/XX/' | sed 's/[^x]/z/ig'
>
> become far more efficient and compact, might be look like this,
>
> echo abcde​ | sed -r 's/cd/XX/ {N: s/ ...........    }
>
> ( ...so on. That's what I am asking for )
>
> both will give the same result   zzXXz
>